using Microsoft.EntityFrameworkCore;
using PARR.Domain.Constants;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.Domain.Entities.Unit
{
    /// <summary>
    /// Связь Unit in Field
    /// </summary>
    /// 
    [Table("UnitInFields", Schema = DatabaseSchemas.Unit)]
    [Comment("Справочник полей ЭК")]
    [PrimaryKey(nameof(UnitId), nameof(FieldId))]
    public class UnitInField
    {
        public Guid UnitId { get; set; }

        public Guid FieldId { get; set; }

        public DateTimeOffset DateCreated { get; set; }


        [ForeignKey(nameof(UnitId))]
        public Unit? Unit { get; set; }

        [ForeignKey(nameof(FieldId))]
        public UnitField? UnitField { get; set; }
    }
}
